Name:           pipewire-media-session
Summary:        PipeWire reference session manager
Version:        0.4.2
Release:        %mkrel 2
Group:          System/Servers
License:        MIT
URL:            https://pipewire.org/
Source0:        https://gitlab.freedesktop.org/pipewire/media-session/-/archive/%{version}/media-session-%{version}.tar.gz
Patch1:         0001-pass-right-types-to-methods.patch

# Virtual Provides to support swapping between PipeWire session manager implementations
Provides:       pipewire-session-manager
Conflicts:      pipewire-session-manager

BuildRequires:  meson
BuildRequires:  pkgconfig(libpipewire-0.3) >= 0.3.39
BuildRequires:  pkgconfig(dbus-1)
BuildRequires:  gettext
BuildRequires:  pkgconfig(libsystemd)
BuildRequires:  pkgconfig(alsa)

Requires:       systemd

%description
Media Session is the reference session manager for the PipeWire media server.

%prep
%autosetup -p1 -n media-session-%{version}

%build
%meson \
    -Ddocs=disabled \
    -Dsystemd=enabled \
    -Dwith-module-sets=alsa,pulseaudio,jack
%meson_build

%install
%meson_install

%find_lang media-session

%posttrans
%systemd_user_post pipewire-media-session.service

%preun
%systemd_user_preun pipewire-media-session.service

%files -f media-session.lang
%license LICENSE COPYING
%doc README.md
%{_bindir}/pipewire-media-session
%{_userunitdir}/pipewire-media-session.service
%dir %{_datadir}/pipewire/media-session.d/
%{_datadir}/pipewire/media-session.d/alsa-monitor.conf
%{_datadir}/pipewire/media-session.d/bluez-monitor.conf
%{_datadir}/pipewire/media-session.d/media-session.conf
%{_datadir}/pipewire/media-session.d/v4l2-monitor.conf

%{_datadir}/pipewire/media-session.d/with-alsa
%{_datadir}/pipewire/media-session.d/with-jack
%{_datadir}/pipewire/media-session.d/with-pulseaudio


%changelog
* Fri Feb 14 2025 daviddavid <daviddavid> 0.4.2-2.mga10
+ Revision: 2148822
- backport upstream patch to pass right types to methods with pipewire 1.4 series

* Fri Jan 27 2023 daviddavid <daviddavid> 0.4.2-1.mga9
+ Revision: 1936484
- new version 0.4.2

* Sat Apr 02 2022 umeabot <umeabot> 0.4.1-2.mga9
+ Revision: 1840458
- Mageia 9 Mass Rebuild
+ tv <tv>
- Better use %%posttrans

* Wed Nov 10 2021 tv <tv> 0.4.1-1.mga9
+ Revision: 1755611
- imported package pipewire-media-session


* Wed Nov 10 2021 Thierry Vignaud <tv@mageia.org> 0.4.1-1.mga9
- Initial package import after split from pipewire (#2016247)
